SmartMemory
GET
/memory/graph/full

Return all nodes and edges in the workspace for graph visualization.

Returns both memory nodes and entity nodes (extracted by the pipeline), along with all edges between them. Excludes internal infrastructure nodes (version_*) and edge types (HAS_VERSION).

Query Parameters

limit?Limit

Requested max nodes (server-capped)

Response Body

application/json

application/json

curl -X GET "https://example.com/memory/graph/full"
{
  "nodes": [
    {
      "item_id": "string",
      "label": "",
      "memory_type": "semantic",
      "content": "",
      "category": "memory",
      "confidence": 0,
      "created_at": "string",
      "origin": "string"
    }
  ],
  "edges": [
    {
      "source_id": "string",
      "target_id": "string",
      "edge_type": "string",
      "properties": {},
      "canonical_type": "string",
      "plausibility_score": 0
    }
  ],
  "node_count": 0,
  "edge_count": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}